package com.heyu.api.data.dao.system;
/**
* <p>
* 自定义命令和设备动作绑定表 服务类
* </p>
*
* @author quyixiao
* @since 2025-03-04
*/
import com.heyu.api.data.entity.system.SystemTalkBindDeviceEntity;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
@Mapper
public interface SystemTalkBindDeviceDao extends BaseMapper<SystemTalkBindDeviceEntity> {


	SystemTalkBindDeviceEntity selectSystemTalkBindDeviceById(@Param("id")Long id);


	Long insertSystemTalkBindDevice(SystemTalkBindDeviceEntity systemTalkBindDevice);


	Long insertOrUpdateSystemTalkBindDevice(SystemTalkBindDeviceEntity systemTalkBindDevice);


	int updateSystemTalkBindDeviceById(SystemTalkBindDeviceEntity systemTalkBindDevice);


	int updateCoverSystemTalkBindDeviceById(SystemTalkBindDeviceEntity systemTalkBindDevice);


	int deleteSystemTalkBindDeviceById(@Param("id")Long id);


}